Removed unused source files

This commit is contained in:
smallmodel 2024-04-09 21:43:56 +02:00
parent ab5efa5a64
commit 2bf1144a14
No known key found for this signature in database
GPG key ID: 9F2D623CEDF08512
33 changed files with 43 additions and 3414 deletions

View file

@ -1,14 +0,0 @@
@echo off
set BUILD=
IF EXIST %1.txt (
set /p BUILD=<%1.txt
) ELSE (
set BUILD=0
)
set /a BUILD=%BUILD%+1
@echo %BUILD% >%1.txt
echo Successfully wrote build number to %1.txt.

View file

@ -1,73 +0,0 @@
#!/bin/bash
#
# This script appends the text from Q3A_EULA.txt to a .dmg as a SLA resource
#
# usage is './SLA-dmg.sh /path/to/Q3A_EULA.txt /path/to/ioquake3.dmg'
#
if [ "x$1" = "x" ] || [ "x$2" = "x" ]; then
echo "usage: ./SLA-dmg.sh /path/to/Q3A_EULA.txt /path/to/ioquake3.dmg"
exit 1;
fi
if [ ! -r $1 ]; then
echo "$1 is not a readable Q3A_EULA.txt file"
exit 1;
fi
if [ ! -w $2 ]; then
echo "$2 is not writable .dmg file"
exit 1;
fi
touch tmp.r
if [ ! -w tmp.r ]; then
echo "Could not create temporary file tmp.r for writing"
exit 1;
fi
echo "
data 'LPic' (5000) {
\$\"0002 0011 0003 0001 0000 0000 0002 0000\"
\$\"0008 0003 0000 0001 0004 0000 0004 0005\"
\$\"0000 000E 0006 0001 0005 0007 0000 0007\"
\$\"0008 0000 0047 0009 0000 0034 000A 0001\"
\$\"0035 000B 0001 0020 000C 0000 0011 000D\"
\$\"0000 005B 0004 0000 0033 000F 0001 000C\"
\$\"0010 0000 000B 000E 0000\"
};
data 'TEXT' (5002, \"English\") {
" > tmp.r
sed -e 's/"/\\"/g' -e 's/\(.*\)$/"\1\\n"/g' $1 >> tmp.r
echo "
};
resource 'STR#' (5002, \"English\") {
{
\"English\",
\"Agree\",
\"Disagree\",
\"Print\",
\"Save...\",
\"IMPORTANT - Read this License Agreement carefully before clicking on \"
\"the \\\"Agree\\\" button. By clicking on the \\\"Agree\\\" button, you agree \"
\"to be bound by the terms of the License Agreement.\",
\"Software License Agreement\",
\"This text cannot be saved. This disk may be full or locked, or the \"
\"file may be locked.\",
\"Unable to print. Make sure you have selected a printer.\"
}
};
" >> tmp.r
hdiutil convert -format UDCO -o tmp.dmg $2 || exit 1
hdiutil unflatten tmp.dmg || exit 1
/Developer/Tools/Rez /Developer/Headers/FlatCarbon/*.r tmp.r -a -o tmp.dmg \
|| exit 1
hdiutil flatten tmp.dmg || exit 1
hdiutil internet-enable -yes tmp.dmg || exit 1
mv tmp.dmg $2 || (echo "Could not copy tmp.dmg to $2" && exit 1)
rm tmp.dmg
rm tmp.r
echo "SLA $1 successfully added to $2"

View file

@ -1,15 +0,0 @@
VERSION=1.34
RELEASE=svn
all:
VERSION=$(VERSION) RELEASE=$(RELEASE) ./doit
sign:
for i in *.run; do \
gpg -bao $$i.asc $$i; \
done
clean:
rm -rf *.run image
.PHONY: all sign clean

View file

@ -1,135 +0,0 @@
#!/bin/bash
# Source directory
MOUNT_DIR="../.."
# Solaris stuff
PLATFORM=`uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]'`
if [ "X`uname -m`" = "Xi86pc" ]; then
ARCH=i386
else
ARCH=sparc
fi
# Packages
PKG_SOLARIS_NAME=ioquake3
PKG_DATA_NAME=ioquake3d
BUILD_DATE="`/usr/bin/date '+%Y%m%d%H%M%S'`"
SVNVERSION=/usr/local/bin/svnversion
if [ -x /usr/local/bin/svnversion ]; then
SVN_BANNER=`/usr/local/bin/svnversion ${MOUNT_DIR}|sed -e 's/S$//' -e 's/M$//' `
BUILD_VERSION="1.34-r${SVN_BANNER}"
else
BUILD_VERSION="1.34-rSVN"
fi
PKG_VERSION="`date '+%Y%m%d%H%M'`"
PKG_MAINT_ID="quake@cojot.name"
SOLARIS_PKGFILE="${PKG_SOLARIS_NAME}-${BUILD_VERSION}-${PKG_VERSION}-${ARCH}.pkg"
DATA_PKGFILE="${PKG_DATA_NAME}-${BUILD_VERSION}-${PKG_VERSION}-${ARCH}.pkg"
# build directories
BUILD_DIR="${MOUNT_DIR}/build/release-${PLATFORM}-${ARCH}"
PKG_SRC_DIR="${MOUNT_DIR}/misc/setup/pkg/${PKG_SOLARIS_NAME}"
PKG_BUILD_DIR="/tmp/ioquake3-build/${PKG_SOLARIS_NAME}-${BUILD_VERSION}"
PKG_DATA_SRC_DIR="${MOUNT_DIR}/misc/setup/pkg/${PKG_DATA_NAME}"
PKG_DATA_BUILD_DIR="/usr/local/src/quake3-data/quake3"
# Tools
RM="/usr/bin/rm"
TOUCH="/usr/bin/touch"
SED="/usr/bin/sed"
CAT="/usr/bin/cat"
NAWK="/usr/bin/nawk"
MKDIR="gmkdir -v -p"
INSTALL_BIN="ginstall -D -m 755"
INSTALL_DATA="ginstall -D -m 644"
PKGPROTO="/usr/bin/pkgproto"
PKGMK="/usr/bin/pkgmk"
PKGTRANS="/usr/bin/pkgtrans"
#############################################################################
# SOLARIS PACKAGE
#############################################################################
if [ -d ${BUILD_DIR} ]; then
if [ ! -d ${BUILD_DIR}/pkg ]; then
${MKDIR} ${BUILD_DIR}/pkg
fi
echo "Building ${BUILD_DIR}/pkg/${SOLARIS_PKGFILE}"
${RM} -f ${BUILD_DIR}/pkg/${SOLARIS_PKGFILE}
${TOUCH} ${BUILD_DIR}/pkg/${SOLARIS_PKGFILE}
${SED} -e "/VERSION=/s/.*/VERSION=${BUILD_VERSION}-${PKG_VERSION}/" \
< ${PKG_SRC_DIR}/pkginfo.template \
> ${PKG_SRC_DIR}/pkginfo
${CAT} ${PKG_SRC_DIR}/prototype.template > ${PKG_SRC_DIR}/prototype
${INSTALL_DATA} ${MOUNT_DIR}/COPYING.txt ${PKG_SRC_DIR}/copyright
for EXEC_READ in README id-readme.txt
do
if [ -f ${MOUNT_DIR}/${EXEC_READ} ]; then
${INSTALL_DATA} ${MOUNT_DIR}/${EXEC_READ} ${PKG_BUILD_DIR}/${EXEC_READ}
fi
done
for EXEC_BIN in ioq3ded ioquake3-smp ioquake3
do
if [ -f ${BUILD_DIR}/${EXEC_BIN}.${ARCH} ]; then
${INSTALL_BIN} ${BUILD_DIR}/${EXEC_BIN}.${ARCH} ${PKG_BUILD_DIR}/${EXEC_BIN}.${ARCH}
fi
done
for EXEC_SH in ioq3ded.sh ioquake3.sh
do
if [ -f ${MOUNT_DIR}/misc/setup/pkg/${EXEC_SH} ]; then
${INSTALL_BIN} ${MOUNT_DIR}/misc/setup/pkg/${EXEC_SH} ${PKG_BUILD_DIR}/${EXEC_SH}
fi
done
for EXEC_SO in cgamesparc.so qagamesparc.so uisparc.so
do
if [ -f ${BUILD_DIR}/baseq3/${EXEC_SO} ]; then
${INSTALL_BIN} ${BUILD_DIR}/baseq3/${EXEC_SO} ${PKG_BUILD_DIR}/baseq3/${EXEC_SO}
fi
if [ -f ${BUILD_DIR}/missionpack/${EXEC_SO} ]; then
${INSTALL_BIN} ${BUILD_DIR}/missionpack/${EXEC_SO} ${PKG_BUILD_DIR}/missionpack/${EXEC_SO}
fi
done
${PKGPROTO} ${PKG_BUILD_DIR}=quake3 | \
${NAWK} '{ print $1,$2,$3,$4 }' >> ${PKG_SRC_DIR}/prototype
${PKGMK} -o -p "${PKG_MAINT_ID}${BUILD_DATE}" \
-b ${PKG_SRC_DIR} -f ${PKG_SRC_DIR}/prototype \
-d /tmp -a ${ARCH} owner=root group=bin mode=0755
${PKGTRANS} -s /tmp ${BUILD_DIR}/pkg/${SOLARIS_PKGFILE} ${PKG_SOLARIS_NAME}
echo "Building ${BUILD_DIR}/pkg/${DATA_PKGFILE}"
${RM} -f ${BUILD_DIR}/pkg/${DATA_PKGFILE}
${TOUCH} ${BUILD_DIR}/pkg/${DATA_PKGFILE}
${SED} -e "/VERSION=/s/.*/VERSION=${BUILD_VERSION}.${PKG_VERSION}/" \
< ${PKG_DATA_SRC_DIR}/pkginfo.template \
> ${PKG_DATA_SRC_DIR}/pkginfo
${CAT} ${PKG_DATA_SRC_DIR}/prototype.template > ${PKG_DATA_SRC_DIR}/prototype
if [ -d ${MOUNT_DIR}/../webspace/include ]; then
EULA_DIR=${MOUNT_DIR}/../webspace/include
else
if [ -d ${MOUNT_DIR}/../../webspace/include ]; then
EULA_DIR=${MOUNT_DIR}/../../webspace/include
fi
fi
if [ -f ${EULA_DIR}/id_patch_pk3s_Q3A_EULA.txt ]; then
${INSTALL_DATA} ${EULA_DIR}/id_patch_pk3s_Q3A_EULA.txt ${PKG_DATA_SRC_DIR}/copyright
fi
${PKGPROTO} ${PKG_DATA_BUILD_DIR}=quake3 | \
${NAWK} '{ print $1,$2,$3,$4 }' >> ${PKG_DATA_SRC_DIR}/prototype
${PKGMK} -o -p "${PKG_MAINT_ID}${BUILD_DATE}" \
-b ${PKG_DATA_SRC_DIR} -f ${PKG_DATA_SRC_DIR}/prototype \
-d /tmp -a ${ARCH} owner=root group=bin mode=0755
${PKGTRANS} -s /tmp ${BUILD_DIR}/pkg/${DATA_PKGFILE} ${PKG_DATA_NAME}
else
echo "Directory ${BUILD_DIR} not found!"
exit 1
fi

View file

@ -1,112 +0,0 @@
#!/bin/bash
: ${MAKESELF:=/usr/share/loki-setup/makeself}
: ${SETUPIMAGE:=/usr/share/loki-setup/image}
: ${VERSION:=0.0_`date +%Y%m%d%H%M`}
: ${RELEASE:=0}
set -e
set -x
shopt -s nullglob
rm -rf image
mkdir image
### loki-setup files
cp -a $SETUPIMAGE/{setup.data,setup.sh} image/
### splash
rm -f image/setup.data/splash.xpm
[ -e splash.xpm ] && cp splash.xpm image/setup.data/splash.xpm
rm -f image/quake3.png
cp ../quake3.png image/quake3.png
### binaries
topdir="../.."
echo "changequote(\`[', \`]')dnl" > defines.m4
echo "define(VERSION,$VERSION)dnl" >> defines.m4
copystartscript()
{
local arch="$1"
mkdir -p image/bin/Linux/$arch
if [ "$arch" = x86_64 ]; then
ln -s x86_64 image/bin/Linux/amd64
fi
install -m 755 ioquake3.sh image/bin/Linux/$arch/ioquake3
install -m 755 ioq3demo.sh image/bin/Linux/$arch/ioq3demo
}
archs=()
for arch in $topdir/build/release-*; do
arch=${arch##*-}
case "$arch" in
i386) echo "define(HAVE_I386,yes)dnl" >> defines.m4
copystartscript x86
;;
x86_64) echo "define(HAVE_X86_64,yes)dnl" >> defines.m4
copystartscript $arch
;;
ppc) echo "define(HAVE_PPC,yes)dnl" >> defines.m4
copystartscript $arch
;;
*)
echo "architecture $arch unsupported"
continue;
;;
esac
archs[${#archs[@]}]=$arch
done
for arch in "${archs[@]}"; do
dst=image/tmp
mkdir $dst
mkdir $dst/baseq3 $dst/demoq3 $dst/missionpack
install -m 755 $topdir/build/release-linux-$arch/ioquake3.$arch $dst/ioquake3.$arch
install -m 755 $topdir/build/release-linux-$arch/ioq3ded.$arch $dst/ioq3ded.$arch
install -m 644 $topdir/build/release-linux-$arch/baseq3/*.so $dst/baseq3
install -m 644 $topdir/build/release-linux-$arch/missionpack/*.so $dst/missionpack
for i in cgame qagame ui; do
ln -s ../baseq3/$i$arch.so $dst/demoq3
done
tar --owner=root --group=root -C $dst -cf ./image/ioquake3.$arch.tar .
rm -rf ./image/tmp
done
# patch pk3 files
if [ -e ./idpatchpk3s.tar -a -e ./idtapatchpk3s.tar ]; then
install -m 644 ./idpatchpk3s.tar image/idpatchpk3s.tar
install -m 644 ./idtapatchpk3s.tar image/idtapatchpk3s.tar
install -m 644 ./id_patch_pk3s_Q3A_EULA.txt image/id_patch_pk3s_Q3A_EULA.txt
echo "define(HAVE_PATCHPK3,yes)dnl" >> defines.m4
elif [ -e quake3-latest-pk3s.zip ]; then
unzip quake3-latest-pk3s.zip
chmod 644 quake3-latest-pk3s/*/*.pk3
tar -C quake3-latest-pk3s/baseq3 -cf image/idpatchpk3s.tar .
tar -C quake3-latest-pk3s/missionpack -cf image/idtapatchpk3s.tar .
rm -r quake3-latest-pk3s
install -m 644 id_patch_pk3s_Q3A_EULA.txt image/id_patch_pk3s_Q3A_EULA.txt
echo "define(HAVE_PATCHPK3,yes)dnl" >> defines.m4
fi
### uninstall script
install -m 755 ./preuninstall.sh image/preuninstall.sh
### README, COPYING and EULA
install -m 644 $topdir/README image/README
install -m 644 $topdir/COPYING.txt image/COPYING
# create setup.xml
m4 defines.m4 setup.xml.in > image/setup.data/setup.xml
### makeself installer
ARCH=
if [ "${#archs[@]}" -eq 1 ]; then
ARCH=.$arch
fi
$MAKESELF/makeself.sh image ioquake3-$VERSION-$RELEASE$ARCH.run "ioquake3 $VERSION-$RELEASE" ./setup.sh

View file

@ -1,50 +0,0 @@
#!/bin/sh
readlink() {
local path=$1 ll
if [ -L "$path" ]; then
ll="$(LC_ALL=C ls -l "$path" 2> /dev/null)" &&
echo "${ll/* -> }"
else
return 1
fi
}
script=$0
count=0
while [ -L "$script" ]
do
script=$(readlink "$script")
count=`expr $count + 1`
if [ $count -gt 100 ]
then
echo "Too many symbolic links"
exit 1
fi
done
cd "`dirname $script`"
lib=lib
test -e lib64 && lib=lib64
if test "x$LD_LIBRARY_PATH" = x; then
LD_LIBRARY_PATH="`pwd`/$lib"
else
LD_LIBRARY_PATH="`pwd`/$lib:$LD_LIBRARY_PATH"
fi
export LD_LIBRARY_PATH
archs=`uname -m`
case "$archs" in
i?86) archs=i386 ;;
x86_64) archs="x86_64 i386" ;;
ppc64) archs="ppc64 ppc" ;;
esac
for arch in $archs; do
test -x ./ioquake3.$arch || continue
exec ./ioquake3.$arch +set sv_pure 0 +set vm_cgame 0 +set vm_game 0 +set vm_ui 0 +set fs_game demoq3 "$@"
done
echo "could not execute ioquake3" >&2

View file

@ -1,77 +0,0 @@
#!/bin/sh
CWD=`pwd`
BASE=$CWD/../..
if [ "$TMP" = "" ]; then
TMP=/tmp
fi
# clean, update
make -C $BASE clean || exit 1
svn up $BASE || exit 1
# extract version info
VERSION=`grep "\#define *PRODUCT_VERSION" $BASE/code/qcommon/q_shared.h | \
sed -e 's/[^"]*"\(.*\)"/\1/'`
SVN_REV=`LANG=C svnversion $BASE`
if [ ! "$SVN_REV" = "" ]; then
VERSION=${VERSION}_SVN${SVN_REV}
fi
PKG_VERSION=$VERSION
ARCH=${ARCH:-i586}
BUILD=${BUILD:-1_io}
APP=ioquake3
PKG=$TMP/package-$APP
rm -rf $PKG
mkdir -p $PKG
# build
make -C $BASE release copyfiles COPYDIR="$PKG"/usr/games/$APP|| exit 1
# copy additional files
cp $BASE/BUGS $BASE/COPYING.txt $BASE/ChangeLog $BASE/README $PKG/usr/games/$APP/
cat $CWD/$APP.SlackBuild > $PKG/usr/games/$APP/$APP.SlackBuild
mkdir -p $PKG/usr/share/$APP/icons
cp $BASE/misc/quake3.png $PKG/usr/share/$APP/icons/ioquake3.png
mkdir -p $PKG/usr/bin
cat >> $PKG/usr/bin/ioquake3 << EOF
#!/bin/sh
cd /usr/games/$APP/
./ioquake3.i386 \$*
exit \$?
EOF
chmod 754 $PKG/usr/bin/ioquake3
mkdir -p $PKG/usr/bin
cat >> $PKG/usr/bin/ioq3ded << EOF
#!/bin/sh
cd /usr/games/$APP/
./ioq3ded.i386 \$*
exit \$?
EOF
chmod 754 $PKG/usr/bin/ioq3ded
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat >> $PKG/install/doinst.sh << EOF
chmod 754 /usr/games/$APP/*.i386
chmod 754 /usr/bin/ioquake3 /usr/bin/ioq3ded
EOF
chmod +x $PKG/install/doinst.sh
pushd $PKG
chown -R root:root install/ || exit 1
chown -R root:games usr/ || exit 1
/sbin/makepkg -l y -c n $TMP/$APP-$VERSION-$ARCH-$BUILD.tgz
popd

View file

@ -1,50 +0,0 @@
#!/bin/sh
readlink() {
local path=$1 ll
if [ -L "$path" ]; then
ll="$(LC_ALL=C ls -l "$path" 2> /dev/null)" &&
echo "${ll##* -> }"
else
return 1
fi
}
script=$0
count=0
while [ -L "$script" ]
do
script=$(readlink "$script")
count=`expr $count + 1`
if [ $count -gt 100 ]
then
echo "Too many symbolic links"
exit 1
fi
done
cd "`dirname $script`"
lib=lib
test -e lib64 && lib=lib64
if test "x$LD_LIBRARY_PATH" = x; then
LD_LIBRARY_PATH="`pwd`/$lib"
else
LD_LIBRARY_PATH="`pwd`/$lib:$LD_LIBRARY_PATH"
fi
export LD_LIBRARY_PATH
archs=`uname -m`
case "$archs" in
i?86) archs=i386 ;;
x86_64) archs="x86_64 i386" ;;
ppc64) archs="ppc64 ppc" ;;
esac
for arch in $archs; do
test -x ./ioquake3.$arch || continue
exec ./ioquake3.$arch "$@"
done
echo "could not execute ioquake3" >&2

View file

@ -1,41 +0,0 @@
#!/bin/bash
# Rev: $Id: ioq3ded.sh,v 1.9 2006/01/18 13:47:42 raistlin Exp raistlin $
# Needed to make symlinks/shortcuts work.
# the binaries must run with correct working directory
IOQ3_DIR=/usr/local/share/games/quake3
COMPILE_PLATFORM=`uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]'`
COMPILE_ARCH=`uname -p | sed -e s/i.86/i386/`
EXEC_REL=release
# EXEC_BIN=ioquake3.${COMPILE_ARCH}
# EXEC_BIN=ioquake3-smp.${COMPILE_ARCH}
EXEC_BIN=ioq3ded.${COMPILE_ARCH}
EXEC_FLAGS="+set fs_basepath ${IOQ3_DIR} +set vm_game 1 +set vm_cgame 1 +set vm_ui 1 +set sv_pure 1 +set com_ansiColor 0"
EXEC_DIR_LIST="${IOQ3_DIR}"
for d in ${EXEC_DIR_LIST}
do
if [ -d $d ]; then
EXEC_DIR=${d}
break
fi
done
if [ "X${EXEC_DIR}" != "X" ]; then
if [ ! -x ${EXEC_DIR}/${EXEC_BIN} ]; then
echo "Executable ${EXEC_DIR}/${EXEC_BIN} not found!" ; exit 1
fi
cd ${IOQ3_DIR} && \
${EXEC_DIR}/${EXEC_BIN} ${EXEC_FLAGS} $*
exit $?
else
echo "No ioq3 binaries found!"
exit 1
fi

View file

@ -1,41 +0,0 @@
#!/bin/bash
# Rev: $Id: ioquake3.sh,v 1.11 2006/01/18 13:47:42 raistlin Exp raistlin $
# Needed to make symlinks/shortcuts work.
# the binaries must run with correct working directory
IOQ3_DIR=/usr/local/share/games/quake3
COMPILE_PLATFORM=`uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]'`
COMPILE_ARCH=`uname -p | sed -e s/i.86/i386/`
EXEC_REL=release
EXEC_BIN=ioquake3.${COMPILE_ARCH}
# EXEC_BIN=ioquake3-smp.${COMPILE_ARCH}
# EXEC_BIN=ioq3ded.${COMPILE_ARCH}
EXEC_FLAGS="+set fs_basepath ${IOQ3_DIR} +set vm_game 1 +set vm_cgame 1 +set vm_ui 1 +set sv_pure 1 +set com_ansiColor 0"
EXEC_DIR_LIST="${IOQ3_DIR}"
for d in ${EXEC_DIR_LIST}
do
if [ -d $d ]; then
EXEC_DIR=${d}
break
fi
done
if [ "X${EXEC_DIR}" != "X" ]; then
if [ ! -x ${EXEC_DIR}/${EXEC_BIN} ]; then
echo "Executable ${EXEC_DIR}/${EXEC_BIN} not found!" ; exit 1
fi
cd ${IOQ3_DIR} && \
${EXEC_DIR}/${EXEC_BIN} ${EXEC_FLAGS} $*
exit $?
else
echo "No ioq3 binaries found!"
exit 1
fi

View file

@ -1,3 +0,0 @@
P SUNWxilrl XIL Runtime Environment
P SFWsdl SDL - Simple DirectMedia Layer library
P ioquake3d Icculus.Org Quake3 game data files for Solaris 10 (X11,GLX,SDL)

View file

@ -1,12 +0,0 @@
CLASSES=none
BASEDIR=/usr/local/share/games
TZ=PST
PATH=/sbin:/usr/sbin:/usr/bin:/usr/sadm/install/bin
PKG=ioquake3
NAME=ioquake3 1.34 for Solaris 10 (X11,GLX,SDL)
VERSION=
CATEGORY=application,graphics,opengl
DESC=Icculus.Org Quake3 1.34 for Solaris 10 (http://www.ioquake3.org/)
VENDOR=http://www.ioquake3.org/
EMAIL=quake@cojot.name
PKGSAV=/var/sadm/pkg/ioquake3/save

View file

@ -1,21 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: postinstall,v 1.3 2006/01/21 12:54:52 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR/quake3
dest_dir=${PKG_INSTALL_ROOT}/usr/local/bin
if [ -d ${dest_dir} ]; then
for inst_script in ioq3ded.sh ioquake3.sh
do
dest_script=${dest_dir}/${inst_script}
if [ ! -h ${dest_script} ]; then
ln -s ${quake3_dir}/${inst_script} ${dest_script}
fi
done
fi
exit 0

View file

@ -1,21 +0,0 @@
#!/bin/sh
#
# @(#)postremove $Id: postremove,v 1.3 2006/01/21 12:54:52 coyote Exp $
#
# postremove script for quake3
quake3_dir=$BASEDIR
dest_dir=${PKG_INSTALL_ROOT}/usr/local/bin
if [ -d ${dest_dir} ]; then
for inst_script in ioq3ded.sh ioquake3.sh
do
dest_script=${dest_dir}/${inst_script}
if [ -h ${dest_script} ]; then
rm -f ${dest_script}
fi
done
fi
exit 0

View file

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: preinstall,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View file

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: preremove,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View file

@ -1,8 +0,0 @@
!default 0755 root bin
i pkginfo
i copyright
i depend
i postinstall
i postremove
i preinstall
i preremove

View file

@ -1 +0,0 @@
/usr/local/share 20000 15

View file

@ -1,2 +0,0 @@
P SUNWxilrl XIL Runtime Environment
P SFWsdl SDL - Simple DirectMedia Layer library

View file

@ -1,12 +0,0 @@
CLASSES=none
BASEDIR=/usr/local/share/games
TZ=PST
PATH=/sbin:/usr/sbin:/usr/bin:/usr/sadm/install/bin
PKG=ioquake3d
NAME=ioquake3 game data files for Solaris 10 (X11,GLX,SDL)
VERSION=
CATEGORY=application,graphics,opengl
DESC=ioquake3 game data files for Solaris 10 (http://www.ioquake3.org/)
VENDOR=http://www.ioquake3.org/
EMAIL=quake@cojot.name
PKGSAV=/var/sadm/pkg/ioquake3d/save

View file

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: postinstall,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View file

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: postremove,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View file

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: preinstall,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View file

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: preremove,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View file

@ -1,7 +0,0 @@
!default 0755 root bin
i pkginfo
i depend
i postinstall
i postremove
i preinstall
i preremove

View file

@ -1 +0,0 @@
/usr/local/share 50000 100

View file

@ -1,2 +0,0 @@
#!/bin/sh
rmdir --ignore-fail-on-non-empty demoq3 missionpack >& /dev/null

View file

@ -1,111 +0,0 @@
<?xml version="1.0" standalone="yes"?>
<install product="ioquake3"
desc="ioquake3"
version="VERSION"
update_url="http://www.ioquake3.org/updates.txt"
promptbinaries="yes"
reinstall="yes"
nopromptoverwrite="yes"
preuninstall="preuninstall.sh">
<readme>
README
</readme>
<component name="Default" version="VERSION" default="yes">
ifelse(HAVE_X86_64,yes,dnl
<option install="true" arch="x86_64">
ioq3 x86_64 binaries
<binary libc="any" symlink="ioquake3" icon="quake3.png" name="ioquake3">ioquake3</binary>
<files>
ioquake3.x86_64.tar
</files>
<help>you need the binaries to play the game</help>
</option>
)dnl
ifelse(HAVE_I386,yes,dnl
<option install="true" if="|(x86,x86_64)">
ioq3 x86 (32 bit) binaries
<binary libc="any" symlink="ioquake3" icon="quake3.png" name="ioquake3">ioquake3</binary>
<files>
ioquake3.i386.tar
</files>
<help>you need the binaries to play the game</help>
</option>
)dnl
ifelse(HAVE_PPC,yes,dnl
<option install="true">
<binary libc="any" symlink="ioquake3" icon="quake3.png" name="ioquake3">ioquake3</binary>
ioq3 ppc binaries
<files>
ioquake3.ppc.tar
</files>
<help>you need the binaries to play the game</help>
</option>
)dnl
<option install="true" show="false">
shared data
<files>
quake3.png
COPYING
</files>
</option>
</component>
ifelse(HAVE_PATCHPK3,yes,dnl
<component name="Quake III Arena" version="VERSION">
<eula>
id_patch_pk3s_Q3A_EULA.txt
</eula>
<option install="true">
Quake III Arena Point Release 1.32 data files
<files path="baseq3">
idpatchpk3s.tar
</files>
</option>
<option>
<help>
If you don't select this you need to copy pak0.pk3 to the baseq3 directory manually.
</help>
Quake III Arena CDROM data
<files cdromid="CD 1" path="baseq3"
md5sum="1197ca3df1e65f3c380f8abc10ca43bf"
size="458M" mode="0664">
Quake3/baseq3/pak0.pk3
</files>
</option>
</component>
<component name="Quake III Team Arena" version="VERSION">
<eula>
id_patch_pk3s_Q3A_EULA.txt
</eula>
<option install="true">
Quake III Team Arena Point Release 1.32 data files
<files path="missionpack">
idtapatchpk3s.tar
</files>
</option>
<option>
<help>
If you don't select this you need to copy the TA pak0.pk3 to the missionpack directory manually.
</help>
Quake III Team Arena CDROM data
<files cdromid="CD 2" path="missionpack" size="336M"
md5sum="e8ba9e3bf06210930bc0e7fdbcdd01c2" mode="0644">
Setup/missionpack/pak0.pk3
</files>
</option>
</component>
<cdrom id="CD 1" name="Quake 3 Arena installation CD">
Quake3/baseq3/pak0.pk3
</cdrom>
<cdrom id="CD 2" name="Quake 3 Team Arena installation CD">
Setup/missionpack/pak0.pk3
</cdrom>
)dnl
</install>

View file

@ -1,12 +0,0 @@
|-----handy-ruler------------------------------------------------------|
ioquake3: ioquake 3 - An open source Quake 3 distribution
ioquake3:
ioquake3: ioquake3 aims to build upon id Software's Quake 3 source code release.
ioquake3: The source code was released on August 20, 2005 under the GPL. Since
ioquake3: then code has been cleaned up, bugs have been fixed and features been
ioquake3: added.
ioquake3: The permanent goal is to create THE open source Quake 3 distribution
ioquake3: upon which people base their games and projects.
ioquake3:
ioquake3: http://ioquake3.org/
ioquake3:

File diff suppressed because it is too large Load diff